//	TContext.h - Macintosh Task Context class object
// 
// Apple Macintosh Developer Technical Support
// Written by:  Vinne Moscaritolo
//
//  Copyright (work in progress)  Apple Computer, Inc All rights reserved.
//
// You may incorporate this sample code into your applications without
// restriction, though the sample code has been provided "AS IS" and the
// responsibility for its operation is 100% yours.  However, what you are
// not permitted to do is to redistribute the source as "DSC Sample Code"
// after having made changes. If you're going to re-distribute the source,
// we require that you make it clear in the source that the code was
// descended from Apple Sample Code, but that you've made changes.
// 

#ifndef _H_TCONTEXT
#define _H_TCONTEXT

#include <MWException.h>

// ---------------------------------------------------------------------------
//	 TContext
// ---------------------------------------------------------------------------
// Save and restore thread context

class TContext
{	
	public:
// HIGH LEVEL FUNCTIONS
			TContext();
	 	void Save();
		void Restore();
		
		
// PRIVATE FIELDS
	private:
	ExceptionState	fExceptionState;				// C++ exception runtime support
	char			fCatchBuffer[CATCH_BUFSIZE];	// buffer for thrown object
};

#endif
